Skip to main content
GET
/
v1
/
contacts
List contacts
curl --request GET \
  --url https://api.prod.getdex.com/v1/contacts/ \
  --header 'Authorization: Bearer <token>'
{
  "error": true,
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "full_name": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "job_title": "<string>",
        "company": "<string>",
        "description": "<string>",
        "legacy_location": "<string>",
        "website": "<string>",
        "image_url": "<string>",
        "starred": true,
        "is_archived": true,
        "birthday": "<string>",
        "linkedin": "<string>",
        "twitter": "<string>",
        "facebook": "<string>",
        "instagram": "<string>",
        "frequency": "<string>",
        "source": "<string>",
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "count": 123
  }
}

Use cases

  • Sync your Dex contacts to an external system
  • Build a contact list view with infinite scroll
  • Export all contacts for backup or migration
Results are paginated. Use the nextCursor value from the response to fetch the next page. When nextCursor is null, you have reached the end of the list.

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Query Parameters

take
integer
Required range: x >= 1
skip
integer
Required range: x >= 0
cursor
string<uuid>
where
object
include
object
select
object

Response

Successful response

error
boolean
required
data
object
required